# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define _with_tests 1

# If you want to run the tests, xercesjarv being available,
# give rpmbuild option '--with tests'

%define with_tests %{?_with_tests:1}%{!?_with_tests:0}
%define without_tests %{!?_with_tests:1}%{?_with_tests:0}


%define	section		free
%define	cvsversion	20041111

Name:		isorelax
Summary:	Public interfaces useful for applications to support RELAX Core
Url:		http://iso-relax.sourceforge.net/
Version:	0.1
Release:	0.%{cvsversion}.2jpp.ep1.2%{?dist}.4
Epoch:		0
License:	MIT-style
Group:		Development/Libraries/Java
BuildArch:	noarch
Source0:	%{name}.%{cvsversion}.zip
Source1:	%{name}-build.xml
Source2:	isorelax-maven-project.xml
Source3:	isorelax-maven-project.xsd
Patch0:		isorelax-jdk15.patch

BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:	ant
%if %{with_tests}
BuildRequires:	xercesjarv
%endif
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis
Requires:	xerces-j2
Requires:	xml-commons-apis
Obsoletes:	isorelax-bootstrap
Provides:	isorelax-bootstrap
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The ISO RELAX project is started to host the public interfaces 
useful for applications to support RELAX Core. But nowadays 
some of the stuff we have is schema language neutral.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
cat <<EOT

		If you want to run the tests,
		xercesjarv being available ,
		give rpmbuild option '--with tests'

EOT

%setup -T -c -n %{name}-%{version}
unzip -q %{SOURCE0}
mkdir src
(cd src; unzip -q ../src.zip)
rm -f src.zip
cp %{SOURCE1} build.xml
mkdir test
cp %{SOURCE2} test
cp %{SOURCE3} test
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
rm -rf src/jp/gr/xml/relax/swift

# Uncomment to build with JDK 1.5
#%patch0

%build
export CLASSPATH=$(build-classpath \
xerces-j2 \
xml-commons-apis \
)
%if %{with_tests}
CLASSPATH=$CLASSPATH:$(build-classpath xercesjarv)
ln -s $(find-jar xercesjarv) xercesjarv.jar
%endif
ant -Dbuild.sysclasspath=only release
%if %{with_tests}
CLASSPATH=isorelax.jar:$CLASSPATH
ant -Dbuild.sysclasspath=first ant-task-test
%endif

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi


%files
%defattr(-,root,root)
%doc COPYING.txt
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Thu Aug 02 2007 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20041111.2jpp.ep1.2.4
- Rebuild

* Fri Jul 27 2007 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20041111.2jpp.ep1.2.3
- Build with tests

* Fri Jul 27 2007 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20041111.2jpp.ep1.2.2
- Rebuild with JDK 1.4

* Thu Jul 26 2007 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20041111.2jpp.ep1.2.1
- Rebuild with JDK 1.4
- Without tests for bootstrapping

* Wed Jul 04 2007 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20041111.2jpp.ep1.2
- Rebuild with tests

* Mon Mar 12 2007 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20041111.2jpp.ep1.1
- Patch for building with JDK 1.5
- Bootstrap: build with no tests (need xercesjarv, still not available)

* Thu Mar 30 2006 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20041111.2jpp_1rh
- Merge with upstream for upgrade

* Wed Mar 22 2006 Ralph Apel <r.apel at r-apel.de> 0:0.1-0.20041111.2jpp
- By default omit tests requiring xercesjarv
- Add postun for javadoc
- Drop useless macros for name, version, etc.

* Tue Aug 23 2005 Ralph Apel <r.apel at r-apel.de> 0:0.1-0.20041111.1jpp
- Upgrade to 20041111

* Mon Apr 25 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20030108.3jpp_1rh
- First Red Hat build

* Fri Apr 22 2005 Fernando Nasser <fnasser@redhat.com> 0:0.1-0.20030108.3jpp
- Rebuild with standard version scheme

* Wed Aug 25 2004 Ralph Apel <r.apel at r-apel.de> 0:0.1-0.20030108.2jpp
- Build with ant-1.6.2

* Tue Jul 06 2004 Ralph Apel <r.apel at r-apel.de> 0:0.1-0.20030108.1jpp
- First build from sources into free section
- Use xercesjarv instead of swift as verifier impl
